Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 100892 - Ebuild for the asusfan utility (sys-power/asusfan)
Summary: Ebuild for the asusfan utility (sys-power/asusfan)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-07-31 07:29 UTC by Max Hacking
Modified: 2018-06-07 18:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for the asusfan utility (asusfan-0.1.ebuild,698 bytes, text/plain)
2005-07-31 07:30 UTC, Max Hacking
Details
Ebuild for the asusfan utility (asusfan-0.1.ebuild,818 bytes, text/plain)
2005-08-19 09:09 UTC, Max Hacking
Details
Ebuild for the asusfan utility (asusfan-0.1.ebuild,837 bytes, application/octet-stream)
2005-09-08 05:37 UTC, Max Hacking
Details
Ebuild for the asusfan utility (asusfan-0.1.ebuild,837 bytes, text/plain)
2005-09-08 05:38 UTC, Max Hacking
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Hacking 2005-07-31 07:29:20 UTC
Ebuild for the asusfan utility which provides fan speed control for various
NVidia cards

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

S=${WORKDIR}/${P}
DESCRIPTION="Asus NVidia Fan Speed Controller"
HOMEPAGE="http://www.consultmatt.co.uk/asusfan/"
SRC_URI="http://www.consultmatt.co.uk/downloads/asusfan/${P}.tar.gz"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86 ~amd64"


RDEPEND="virtual/libc"
DEPEND="${RDEPEND}   sys-devel/autoconf"

src_unpack() {
   unpack ${A}
   cd ${S}
}

src_compile() {
   cd ${S}

   libtoolize --copy --force

   ./autogen.sh || die
   ./configure || die

   make || die
}

src_install() {
   einstall || die
   dodoc AUTHORS README
}

pkg_postinst() {
   einfo "Add the following to /etc/modules.d/nvidia"
   einfo "install nvidia /usr/bin/asusfan -m 1 --temp=75:70:65:60 ; modprobe
--ignore-install nvidia"
   einfo "then run modules-update and restart your system"
}
Comment 1 Max Hacking 2005-07-31 07:30:33 UTC
Created attachment 64788 [details]
Ebuild for the asusfan utility
Comment 2 Dario Birtic 2005-07-31 10:28:06 UTC
Works fine on AMD64.

# cat /etc/make.conf
# These settings were set by the catalyst build script that automatically built
this stage
# Please consult /etc/make.conf.example for a more detailed example
CFLAGS="-pipe -O2 -march=athlon64 -fweb -ftracer -fno-ident"
LDFLAGS="-Wl,-O1"
CHOST="x86_64-pc-linux-gnu"
CXXFLAGS="${CFLAGS} -fvisibility-inlines-hidden"
MAKEOPTS="-j1"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
USE="   alsa avi dvd nptl nptlonly udev ppds mbox lirc \
        oggvorbis cdr dvdr offensive dv dga lcms mpeg \
        quicktime theora encode aalib aac encode matroska \
        xvid cddb fbcon aac wmf gtk2 ffmpeg multislot \
        nvidia xvmc mng symlink sndfile a52 fame lzo \
        dts mjpeg dvdread cdparanoia truetype oss acpi \
        font-server dpms glut"
ALSA_CARDS="emu10k1"
PORTDIR_OVERLAY="/usr/local/portage"

# cat /proc/version
Linux version 2.6.12-gentoo-r6 (root@Beast) (gcc version 3.4.3 20041125 (Gentoo
3.4.3-r1, ssp-3.4.3-0, pie-8.7.7)) #2 Wed Jul 20 20:24:56 CEST 2005
Comment 3 Ciaran McCreesh 2005-08-18 15:53:14 UTC
Please fix the following and reopen:

* Kill S=
* Why make instead of emake? If it won't work with emake, include a comment
saying why.
* Kill src_unpack.
* Why einstall instead of make DESTDIR="${D}" install? If the make method fails,
include a comment saying so.
* Kill pkg_postinst.
Comment 4 Max Hacking 2005-08-19 09:09:24 UTC
Created attachment 66324 [details]
Ebuild for the asusfan utility
Comment 5 Max Hacking 2005-08-19 09:17:32 UTC
Fixed issues as sited by Ciaran McCreesh.  Most issued were caused by me being
lazy and editing another ebuild.

emake works, that was a typo.  :-)  Should it still use einstall now?

pkg_postinst should have displayed useful post-install instructions, I have no
idea why the attachment was not the same as the text I posted with the original
bug report.
Comment 6 Dan 2005-08-19 14:08:09 UTC
Apparently make DESTDIR="${D}" install is prefered to einstall, due to some 
mess in einstall or something? maybe someone will be able to fully elaborate. 
Comment 7 Ciaran McCreesh 2005-08-24 09:25:17 UTC
The attached ebuild (attachment #66324 [details]) still seems to have the issues described
in comment #3. Please attach a fixed version and reopen.
Comment 8 Max Hacking 2005-09-08 05:37:31 UTC
Created attachment 67924 [details]
Ebuild for the asusfan utility

Fixes einstall issue
Comment 9 Max Hacking 2005-09-08 05:38:40 UTC
Created attachment 67925 [details]
Ebuild for the asusfan utility
Comment 10 Max Hacking 2005-09-08 05:40:12 UTC
I believe all issues are now resolved.  If not please be specific with regards
to remaining shortcomings.
Comment 11 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-26 22:14:10 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq